<?php


class Encuesta233

{
    public $encuesta233Id;
    public $nombreAlumno;
    public $userId;
    public $pregunta1;
    public $pregunta2;
    public $pregunta3;
    public $pregunta4;
    public $pregunta5;
    public $pregunta6;
    public $pregunta7;
    public $pregunta8;
    public $pregunta9;
    public $pregunta10;
    public $pregunta11;
    public $pregunta12;
    public $pregunta13;
    public $texto14;
    public $pregunta14;
    public $texto15;
    public $pregunta15;
    public $texto16;
    public $pregunta16;
    public $respuesta;
    public $fechaRegistro;
    public $seccionEncuesta;
    public $fechaUltimaActualizacion;
    public $fechaTermino;
    public $puntosEncuesta;
    public $semaforoEncuesta;
    public $imagenGrafica;

    private $configuracionBD;
    private $conexionBD;
    public $query;

    function __construct()
    {
        $this->configuracionBD = new ConfiguracionBD();
        $this->conexionBD = $this->configuracionBD->getConexionLocal();
    }

    function registrarInstruccionesEncuesta233()
    {
        try
        {
            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="INSERT INTO tiempoma_encuestas1.encuesta233 (id,nombrealumno,userid,fecharegistro,seccionencuesta,fechaultimaactualizacion)
            VALUES(NULL,'".$this->nombreAlumno."','".$this->userId."',NOW(),'seccion1',NOW())";
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
                return $this->conexionBD->insert_id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function registrarSeccion1Encuesta233()
    {
        try
        {

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta233
            SET pregunta1='".$this->pregunta1."',
            pregunta2='".$this->pregunta2."',
            pregunta3='".$this->pregunta3."',
            pregunta4='".$this->pregunta4."',
            pregunta5='".$this->pregunta5."',
            pregunta6='".$this->pregunta6."',
            pregunta7='".$this->pregunta7."',
            pregunta8='".$this->pregunta8."',
            pregunta9='".$this->pregunta9."',
            pregunta10='".$this->pregunta10."',
            pregunta11='".$this->pregunta11."',
            pregunta12='".$this->pregunta12."',
            pregunta13='".$this->pregunta13."',
            pregunta14='".$this->pregunta14."',
            texto14='".$this->texto14."',
            pregunta15='".$this->pregunta15."',
            texto15='".$this->texto15."',
            pregunta16='".$this->pregunta16."',
            texto16='".$this->texto16."',
            respuesta='".$this->respuesta."',
            seccionencuesta='realizada',
            fechaultimaactualizacion=NOW()
            WHERE id=".$this->encuesta233Id;
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
                return $this->encuesta233Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }


    function consultarEncuestas233($resultado=0)
    {
        try
        {
            $this->query="SELECT ENC.id AS encuesta233Id, 
            ENC.nombrealumno AS nombreAlumno, 
            ENC.userid AS userId, 
            ENC.pregunta1, 
            ENC.pregunta2, 
            ENC.pregunta3, 
            ENC.pregunta4, 
            ENC.pregunta5, 
            ENC.pregunta6, 
            ENC.pregunta7, 
            ENC.pregunta8, 
            ENC.pregunta9, 
            ENC.pregunta10, 
            ENC.pregunta11, 
            ENC.pregunta12, 
            ENC.pregunta13, 
            ENC.texto14,
            ENC.pregunta14, 
            ENC.texto15, 
            ENC.pregunta15, 
            ENC.texto16, 
            ENC.pregunta16, 
            ENC.respuesta, 
            ENC.fecharegistro AS fechaRegistro, 
            ENC.seccionencuesta AS seccionEncuesta, 
            ENC.fechaultimaactualizacion AS fechaUltimaActualizacion, 
            ENC.fechatermino AS fechaTermino,
            ENC.puntosencuesta AS puntosEncuesta,
            ENC.imagengrafica AS imagenGrafica
            FROM 
            tiempoma_encuestas1.encuesta233 ENC
            WHERE 1=1 AND ENC.seccionencuesta<>'cancelada'";
            if($this->encuesta233Id>0)
                $this->query.=" AND ENC.id=".$this->encuesta233Id;
            if($this->userId!="")
                $this->query.=" AND ENC.userid='".$this->userId."'";
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
            {
                if(($this->encuesta233Id>0 || $this->userId!="") && $resultado==0)
                {
                    $rowConsulta = $resultadoConsulta->fetch_object();
                    $this->encuesta233Id = $rowConsulta->encuesta233Id;
                    $this->nombreAlumno = $rowConsulta->nombreAlumno;
                    $this->userId = $rowConsulta->userId;
                    $this->pregunta1 = $rowConsulta->pregunta1;
                    $this->pregunta2 = $rowConsulta->pregunta2;
                    $this->pregunta3 = $rowConsulta->pregunta3;
                    $this->pregunta4 = $rowConsulta->pregunta4;
                    $this->pregunta5 = $rowConsulta->pregunta5;
                    $this->pregunta6 = $rowConsulta->pregunta6;
                    $this->pregunta7 = $rowConsulta->pregunta7;
                    $this->pregunta8 = $rowConsulta->pregunta8;
                    $this->pregunta9 = $rowConsulta->pregunta9;
                    $this->pregunta10 = $rowConsulta->pregunta10;
                    $this->pregunta11 = $rowConsulta->pregunta11;
                    $this->pregunta12 = $rowConsulta->pregunta12;
                    $this->pregunta13 = $rowConsulta->pregunta13;
                    $this->texto14 = $rowConsulta->texto14;
                    $this->pregunta14 = $rowConsulta->pregunta14;
                    $this->texto15 = $rowConsulta->texto15;
                    $this->pregunta15 = $rowConsulta->pregunta15;
                    $this->texto16 = $rowConsulta->texto16;
                    $this->pregunta16 = $rowConsulta->pregunta16;
                    $this->respuesta = $rowConsulta->respuesta;
                    $this->fechaRegistro = $rowConsulta->fechaRegistro;
                    $this->seccionEncuesta = $rowConsulta->seccionEncuesta;
                    $this->fechaUltimaActualizacion = $rowConsulta->fechaUltimaActualizacion;
                    $this->fechaTermino = $rowConsulta->fechaTermino;
                    $this->puntosEncuesta = $rowConsulta->puntosEncuesta;
                    $this->imagenGrafica = $rowConsulta->imagenGrafica;
                    return $rowConsulta;
                }
                else
                    return $resultadoConsulta;
            }
            else
                return null;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function consultarItemsCategoriaEncuestas233($encuestaId,$categoria)
    {
        try
        {
            $this->query="SELECT PE.id,PE.orden
            FROM tiempoma_encuestas1.preguntasencuestas PE
            WHERE PE.categoria='".$categoria."' AND PE.encuestaid=".$encuestaId;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            return $resultadoConsulta;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function cancelarEncuesta233()
    {
        try
        {

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta233
            SET seccionencuesta='cancelada',
            fechaultimaactualizacion = NOW()
            WHERE id=".$this->encuesta233Id;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
                return $this->encuesta233Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function guardaImagenGrafica()
    {
        try
        {

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta233
            SET imagenGrafica='".$this->imagenGrafica."',
            fechaultimaactualizacion = NOW()
            WHERE id=".$this->encuesta233Id;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
                return $this->encuesta233Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }
}